% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_marginal.R
\name{plot_marginal,ubmsFit-method}
\alias{plot_marginal,ubmsFit-method}
\alias{plot_marginal}
\title{Plot Marginal Effects of Covariates}
\usage{
\S4method{plot_marginal}{ubmsFit}(object, submodel, covariate = NULL, level = 0.95, ...)
}
\arguments{
\item{object}{A fitted model of class \code{ubmsFit}}

\item{submodel}{Submodel to get plots for, for example \code{"det"}}

\item{covariate}{Plot a specific covariate; provide the name as a string}

\item{level}{Probability mass to include in the uncertainty interval}

\item{...}{Currently ignored}
}
\value{
A \code{ggplot}, potentially with multiple panels, one per covariate
}
\description{
Generates marginal fixed effects plots of one or more covariates from a
\code{ubmsFit} submodel. For each plot, the focal covariate is allowed to
vary across its range (or possible discrete values, for a factor), while
the other covariates are held at their means or reference levels.
Random effects are ignored.
}
